Transactional¶
Transactional send configuration object. Holds settings for low-volume email: - Email sent in reaction to webhooks - Email sent via SMTP gateway - Email sent via email automation
Endpoints¶
| Method | URL |
|---|---|
GET |
/transactional/<transactional> |
POST |
/transactional |
PUT |
/transactional/<transactional> |
DELETE |
/transactional/<transactional> |
GET /transactional/<transactional>¶
Payload: No payload.
Returns: The transactional object.
POST /transactional¶
| Parameter | Type | Description |
|---|---|---|
name |
string | Transactional object name |
list |
int | ID of the contact list for destination contacts |
domain |
int | ID of the bounce domain |
smtp_submission |
boolean | Use this object for the SMTP gateway. Only one per user. |
send_dsn |
boolean | Back-propagate delivery status notifications to the original sender |
Returns: The created transactional object.
PUT /transactional/<transactional>¶
Same payload as POST.
Returns: The edited transactional object.
DELETE /transactional/<transactional>¶
Payload: No payload.
Returns: The deleted transactional object.